Error: FIPS 140-2 support key was verified, but FIPS 140-2 support is not available in this system. Supporting libraries may be missing or not installed.

Document ID : KB000025669
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

I get this error when starting up Forest & Trees after installing with FIPS support.

Solution:

After installing Forest & Trees version 7.11 for FIPS encryption, trying to start the application can give the following error:

Figure 1

This error is usually caused by a path issue. ETPKI is a necessary app installed by Forest & Trees that must be included in the system path for FIPS encryption to work. To check this and if necessary correct this, do the following:

  1. Right click on My Computer and go to Properties, then click on the Advanced tab.
  2. Click on the Environment Variables button.
  3. Under System Variables at the bottom, check the PATH and ETPKIHOME variables. They should both include a path such as:
    C:\Program Files\CA\SC\ETPKI
  4. If a path like this is not there, you can add it. Also make sure the path that is there is valid. The SC directory may be SharedComponents spelled out.

After editing variables, you may have to reboot the machine for the changes to take affect. This should correct this error.